import 'package:flutter/material.dart';
import 'package:gifunavi/pages/search/search_page.dart';

class FakeSearch extends StatelessWidget {
  const FakeSearch({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: (){
        Navigator.push(context, MaterialPageRoute(builder: (context) =>  SearchPage()));
      },
      child: Container(
        height: 35,
        decoration: BoxDecoration(
          border: Border.all(color:Colors.blue, width: 1.4),
          borderRadius: BorderRadius.circular(25)
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            const Padding(
              padding: EdgeInsets.symmetric(horizontal: 8.0),
              child: Icon(Icons.search, color: Colors.grey,),
            ),
            const Text("What are you looking for", style: TextStyle(fontSize: 16, color: Colors.grey),),
            Container(
              height: 32,
              width: 75,
              decoration: BoxDecoration(
                color: Colors.blue,
                borderRadius: BorderRadius.circular(25),
    
              ),
              child: const Center(child: Text("Search", style: TextStyle(fontSize: 16, color: Colors.white),)),
            )
    
          ],
        ),
      ),
    );
  }
}